import QtQuick 1.0

//Text {
Rectangle {
    id: button

    signal clicked
    property string label
    color: textColor
    radius: globalRadius

    width: buttonText.width + 2*globalRadius + 2*globalSpacing
    height: buttonText.height

    Text {
        id: buttonText
        anchors.centerIn: button
        color: backgroundColor
        text: label
        font.pointSize: largeFontSize
    }

    MouseArea {
        id: buttonArea
        anchors.fill: button
        hoverEnabled: true
        onClicked: {
            button.clicked()
        }
    }
}
