#ifndef IMAGEPROVIDER_H
#define IMAGEPROVIDER_H

#include <qdeclarativeextensionplugin.h>

#include <qdeclarativeengine.h>
#include <qdeclarative.h>
#include <qdeclarativeitem.h>
#include <qdeclarativeimageprovider.h>
#include <qdeclarativeview.h>
#include <QImage>
#include <QPainter>

class ImageProvider : public QDeclarativeImageProvider
{

public:
    ImageProvider(): QDeclarativeImageProvider(QDeclarativeImageProvider::Image){}
    QImage requestImage(const QString &id, QSize *size, const QSize &requestedSize);
    QImage image;
};

#endif // IMAGEPROVIDER_H
